Bug 1794471 - 389-ds-base-1.4.3.1-3.fc32 FTBFS: /usr/bin/ld: ldap/servers/slapd/.libs/libslapd_la-apibroker.o: in function `$d': /builddir/build/BUILD/389-ds-base-1.4.3.1/ldap/servers/slapd/slap.h:1758: multiple definition of `slapi_task'
Summary: 389-ds-base-1.4.3.1-3.fc32 FTBFS: /usr/bin/ld: ldap/servers/slapd/.libs/libsl...
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Fedora
Classification: Fedora
Component: 389-ds-base
Version: 32
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: mreynolds
QA Contact: Fedora Extras Quality Assurance
URL: https://koschei.fedoraproject.org/pac...
Whiteboard:
Depends On:
Blocks: F32FTBFS GCC10
TreeView+ depends on / blocked
 
Reported: 2020-01-23 16:41 UTC by Petr Pisar
Modified: 2020-09-09 15:42 UTC (History)
5 users (show)

Fixed In Version: 389-ds-base-1.4.3.2-1.fc32
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2020-09-09 15:42:48 UTC
Type: Bug


Attachments (Terms of Use)

Description Petr Pisar 2020-01-23 16:41:38 UTC
389-ds-base-1.4.3.1-3.fc32 fails to build with GCC 10 in Fedora 32:

libtool: link: gcc -shared  -fPIC -DPIC  ldap/servers/slapd/.libs/libslapd_la-add.o ldap/servers/slapd/.libs/libslapd_la-agtmmap.o ldap/servers/slapd/.libs/libslapd_la-apibroker.o ldap/servers/slapd/.libs/libslapd_la-attr.o ldap/servers/slapd/.libs/libslapd_la-attrlist.o ldap/servers/slapd/.libs/libslapd_la-attrsyntax.o ldap/servers/slapd/.libs/libslapd_la-auditlog.o ldap/servers/slapd/.libs/libslapd_la-ava.o ldap/servers/slapd/.libs/libslapd_la-backend.o ldap/servers/slapd/.libs/libslapd_la-backend_manager.o ldap/servers/slapd/.libs/libslapd_la-bitset.o ldap/servers/slapd/.libs/libslapd_la-bulk_import.o ldap/servers/slapd/.libs/libslapd_la-charray.o ldap/servers/slapd/.libs/libslapd_la-ch_malloc.o ldap/servers/slapd/.libs/libslapd_la-computed.o ldap/servers/slapd/.libs/libslapd_la-control.o ldap/servers/slapd/.libs/libslapd_la-configdse.o ldap/servers/slapd/.libs/libslapd_la-counters.o ldap/servers/slapd/.libs/libslapd_la-csn.o ldap/servers/slapd/.libs/libslapd_la-csngen.o ldap/servers/slapd/.libs/libslapd_la-csnset.o ldap/servers/slapd/.libs/libslapd_la-defbackend.o ldap/servers/slapd/.libs/libslapd_la-delete.o ldap/servers/slapd/.libs/libslapd_la-dl.o ldap/servers/slapd/.libs/libslapd_la-dn.o ldap/servers/slapd/.libs/libslapd_la-dse.o ldap/servers/slapd/.libs/libslapd_la-dynalib.o ldap/servers/slapd/.libs/libslapd_la-entry.o ldap/servers/slapd/.libs/libslapd_la-entrywsi.o ldap/servers/slapd/.libs/libslapd_la-errormap.o ldap/servers/slapd/.libs/libslapd_la-eventq.o ldap/servers/slapd/.libs/libslapd_la-factory.o ldap/servers/slapd/.libs/libslapd_la-features.o ldap/servers/slapd/.libs/libslapd_la-fileio.o ldap/servers/slapd/.libs/libslapd_la-filter.o ldap/servers/slapd/.libs/libslapd_la-filtercmp.o ldap/servers/slapd/.libs/libslapd_la-filterentry.o ldap/servers/slapd/.libs/libslapd_la-generation.o ldap/servers/slapd/.libs/libslapd_la-getfilelist.o ldap/servers/slapd/.libs/libslapd_la-ldaputil.o ldap/servers/slapd/.libs/libslapd_la-lenstr.o ldap/servers/slapd/.libs/libslapd_la-libglobs.o ldap/servers/slapd/.libs/libslapd_la-localhost.o ldap/servers/slapd/.libs/libslapd_la-log.o ldap/servers/slapd/.libs/libslapd_la-mapping_tree.o ldap/servers/slapd/.libs/libslapd_la-match.o ldap/servers/slapd/.libs/libslapd_la-modify.o ldap/servers/slapd/.libs/libslapd_la-modrdn.o ldap/servers/slapd/.libs/libslapd_la-modutil.o ldap/servers/slapd/.libs/libslapd_la-object.o ldap/servers/slapd/.libs/libslapd_la-objset.o ldap/servers/slapd/.libs/libslapd_la-operation.o ldap/servers/slapd/.libs/libslapd_la-opshared.o ldap/servers/slapd/.libs/libslapd_la-pagedresults.o ldap/servers/slapd/.libs/libslapd_la-pblock.o ldap/servers/slapd/.libs/libslapd_la-plugin.o ldap/servers/slapd/.libs/libslapd_la-plugin_acl.o ldap/servers/slapd/.libs/libslapd_la-plugin_mmr.o ldap/servers/slapd/.libs/libslapd_la-plugin_internal_op.o ldap/servers/slapd/.libs/libslapd_la-plugin_mr.o ldap/servers/slapd/.libs/libslapd_la-plugin_role.o ldap/servers/slapd/.libs/libslapd_la-plugin_syntax.o ldap/servers/slapd/.libs/libslapd_la-protect_db.o ldap/servers/slapd/.libs/libslapd_la-proxyauth.o ldap/servers/slapd/.libs/libslapd_la-pw.o ldap/servers/slapd/.libs/libslapd_la-pw_retry.o ldap/servers/slapd/.libs/libslapd_la-rdn.o ldap/servers/slapd/.libs/libslapd_la-referral.o ldap/servers/slapd/.libs/libslapd_la-regex.o ldap/servers/slapd/.libs/libslapd_la-resourcelimit.o ldap/servers/slapd/.libs/libslapd_la-result.o ldap/servers/slapd/.libs/libslapd_la-sasl_map.o ldap/servers/slapd/.libs/libslapd_la-schema.o ldap/servers/slapd/.libs/libslapd_la-schemaparse.o ldap/servers/slapd/.libs/libslapd_la-security_wrappers.o ldap/servers/slapd/.libs/libslapd_la-slapd_plhash.o ldap/servers/slapd/.libs/libslapd_la-slapi_counter.o ldap/servers/slapd/.libs/libslapd_la-slapi2nspr.o ldap/servers/slapd/.libs/libslapd_la-snmp_collator.o ldap/servers/slapd/.libs/libslapd_la-sort.o ldap/servers/slapd/.libs/libslapd_la-ssl.o ldap/servers/slapd/.libs/libslapd_la-str2filter.o ldap/servers/slapd/.libs/libslapd_la-subentry.o ldap/servers/slapd/.libs/libslapd_la-task.o ldap/servers/slapd/.libs/libslapd_la-time.o ldap/servers/slapd/.libs/libslapd_la-thread_data.o ldap/servers/slapd/.libs/libslapd_la-uniqueid.o ldap/servers/slapd/.libs/libslapd_la-uniqueidgen.o ldap/servers/slapd/.libs/libslapd_la-utf8.o ldap/servers/slapd/.libs/libslapd_la-utf8compare.o ldap/servers/slapd/.libs/libslapd_la-util.o ldap/servers/slapd/.libs/libslapd_la-uuid.o ldap/servers/slapd/.libs/libslapd_la-value.o ldap/servers/slapd/.libs/libslapd_la-valueset.o ldap/servers/slapd/.libs/libslapd_la-vattr.o ldap/servers/slapd/.libs/libslapd_la-slapi_pal.o ldap/libraries/libavl/.libs/libslapd_la-avl.o   -Wl,-rpath -Wl,/builddir/build/BUILD/389-ds-base-1.4.3.1/.libs -Wl,-rpath -Wl,/usr/lib64/dirsrv -lldap_r -llber -lsasl2 -lkrb5 -lk5crypto -lcom_err -lpcre -lsystemd ./.libs/libsds.so ./.libs/libsvrcore.so -lcrack -lssl3 -lsmime3 -lnss3 -lnssutil3 -lplds4 -lplc4 -lnspr4 -lpthread -ldl -Wl,-z,now -specs=/usr/lib/rpm/redhat/redhat-hardened-ld -g -O2 -specs=/usr/lib/rpm/redhat/redhat-hardened-cc1 -O2 -g -fstack-protector-strong -grecord-gcc-switches -specs=/usr/lib/rpm/redhat/redhat-hardened-cc1 -specs=/usr/lib/rpm/redhat/redhat-annobin-cc1 -Wl,-z -Wl,relro -Wl,--as-needed -Wl,-z -Wl,now -specs=/usr/lib/rpm/redhat/redhat-hardened-ld   -Wl,-soname -Wl,libslapd.so.0 -o .libs/libslapd.so.0.1.0
/usr/bin/ld: ldap/servers/slapd/.libs/libslapd_la-apibroker.o: in function `$d':
/builddir/build/BUILD/389-ds-base-1.4.3.1/ldap/servers/slapd/slap.h:1758: multiple definition of `slapi_task'; ldap/servers/slapd/.libs/libslapd_la-add.o:/builddir/build/BUILD/389-ds-base-1.4.3.1/ldap/servers/slapd/slap.h:1758: first defined here
[...]
collect2: error: ld returned 1 exit status
make[1]: *** [Makefile:6261: libslapd.la] Error 1
make[1]: Leaving directory '/builddir/build/BUILD/389-ds-base-1.4.3.1'

This is triggered by upgrading GCC to 10 version.

Comment 1 Ben Cotton 2020-02-11 17:26:35 UTC
This bug appears to have been reported against 'rawhide' during the Fedora 32 development cycle.
Changing version to 32.


Note You need to log in before you can comment on or make changes to this bug.